收藏
回答

【吐槽向】新开发者工具

问题模块
开发者工具




代码在新工具中跑不起来,界面不跟随状态实时更新,也没有任何报错信息(请求完成了,也 setData 了,界面不更新,背景:自己写了 connect 和 Provider,在小程序里面用了 redux)。


实机,老版本工具都没有问题。 懒得查了,写点单元测试再发新版吧?现在的状态根本不想用新版。



另外,做个 CLI 打包上传生成二维码的工具很难么?方便开发者自己接入持续集成,提升软件可用性啊。 不要求微信自己开发维护 IDE 了,大家都有自己熟悉的 IDE,花精力在 IDE 上也没人用的。做好 App 开发中 XCode 的角色不好么?


PS:后!代!选!择!器!(某个组件有个什么特殊状态,就要从上到下都加个 class 啊!体验真是糟糕啊!)

最后一次编辑于  2017-09-01  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

5 个回答

  • 我的目标:星辰大海!
    我的目标:星辰大海!
    2017-09-01

    还是下回旧版本吧


    2017-09-01
    赞同
    回复
  • 吴剑波
    吴剑波
    2017-09-01

    没有持续集成,感觉我就是一个 cowboy coder。

    2017-09-01
    赞同
    回复
  • 老郭😄
    老郭😄
    2017-09-01

    最新版 无法通过 getExtConfigSync  得到ext.json的扩展参数

    悲剧!


    2017-09-01
    赞同
    回复
  • 吴剑波
    吴剑波
    2017-09-01

    另外,界面更新的生命周期方法(componentWillUpdate),以及真正的组件化方案打算什么时候搞啊,看起来离   vue 就差一步了,求赶紧更新啊(wjs 这种 render helper 根本不够用啊)。


    相比更好看的开发者工具界面,这些才是提升开发幸福感的关键吧。 还有,wx.request 超过五个就直接把请求给干掉是要怎样?throttle 这么难写么?

    2017-09-01
    赞同
    回复
  • 冼灿康
    冼灿康
    2017-09-01

    我的getExtConfigSync()拿不到东西,这个问题没解决,就被管理员关闭了,新版更新之后真心多问题

    2017-09-01
    赞同
    回复